---
description: Scatter Peerplays Integration
---

# Project Scope

#### Goals

| Pursuing                                                                                                                  | Not pursuing                                 |
| ------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| Provide full spectrum support for various blockchains to the end user by extending the SONs to the end users              | Extending support to non-SON supported coins |
| PBSA’s commitment to Blockchain will be communicated to the core developer community by contributing to external projects |                                              |
| Add PPY support to popular Scatter Wallet                                                                                 |                                              |
| Add SON support to Scatter and this may need contribution to Scatter and extending PeerplaysJS-lib                        |                                              |

#### &#x20;

#### Project Brief

PBSA will be forking the GetScatter WalletPack and Scatter-js repositories (not Opensource, but Free software under GPL V2) & adding support for Peerplays/PPY in Scatter by developing plugins for these projects. We will submit a PR to the respective Scatter repos once our additions are ready. Once we have the PPY support, we should be able to use Scatter for transactions involving fund transfers in Scatter. In the second phase, we must add support for various other operations like witness (GPOS) voting, committee related operations. This support will not be done in the Scatter project, but instead within a separate Block Explorer. In the third phase, we will add support for SONs in such a way we can use the native BTC support in Scatter and thus achieve full fledged support for BTC-on-Peerplays-wallet. We will not be pursing SON or BTC support in the native Peerplays wallet.

All discussion and issue tracking will take place within GitHub, and all discussion related to the project will happen in the respective Gitter chats, this will ensure that the project is as transparent as possible.
